---
title: Creates an Invitation
slug: api/creates-an-invitation
docTags: 
createdAt: 2026-03-01T03:12:36.506Z
---

{
  "id": "Om0NTEYiZkvHob0L_QCwe",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://openapi.sine.co/v1/api/invitations",
    "servers": [
      {
        "url": "https://openapi.sine.co/v1/api/invitations",
        "description": "Sine Public API"
      }
    ],
    "name": "Creates an Invitation",
    "description": "Creates an Invitation for a guest to a specific Site",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-sine-team-id",
          "type": "string<uuid>",
          "description": "The UUID of the Team",
          "format": "uuid"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "suppressEmail",
          "type": "boolean",
          "example": true,
          "description": "<p>Determines if a guest should get an email notification on Invitation creation (default</p><div></div>)<p></p>"
        }
      ],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "example": "{\"firstName\":\"James\",\"lastName\":\"Bond\",\"visitorTypeName\":\"Delivery\",\"visitorTypeId\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"startDate\":\"2021-09-20T11:00:00.000Z\",\"endDate\":\"2021-09-22T09:00:00.000Z\",\"siteId\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"email\":\"james.bond@sine.co\",\"mobile\":\"+61405107480\",\"companyName\":\"Sine\",\"subject\":\"Invitation Subject\",\"hostGroupName\":\"Staff\",\"hostEmail\":\"alex@host.com\",\"adminNotes\":\"A message for admin\",\"visitorNotes\":\"A message to guest\"}",
          "description": "Invitation request details",
          "schema": [],
          "complexItems": [
            {
              "name": "object",
              "schema": []
            },
            {
              "name": "object",
              "schema": []
            }
          ],
          "complexType": "oneOf",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearerAuth",
          "name": "bearerAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p>To obtain a token, call <code>POST /oauth2/token</code> with your <code>client_id</code> and <code>client_secret</code>. The returned <code>access_token</code> is then used as a Bearer token for all subsequent requests.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "<p>Created - Invitation created successfully</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"firstName\":\"James\",\"lastName\":\"Bond\",\"visitorType\":{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"name\":\"Delivery\"},\"startDate\":\"2021-09-20T11:00:00.000Z\",\"endDate\":\"2021-09-22T09:00:00.000Z\",\"site\":{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"name\":\"Sine\",\"address\":\"100 Pirie St, Adelaide SA 5000\",\"latitude\":-34.925,\"longitude\":138.604},\"email\":\"james.bond@sine.co\",\"mobile\":\"+61405107480\",\"subject\":\"Invitation Subject\",\"host\":{\"id\":\"079fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"firstName\":\"Example\",\"lastName\":\"Person\",\"hostGroupName\":\"Staff\",\"email\":\"e.person@example.com\"},\"adminNotes\":\"A message for admin\",\"visitorNotes\":\"A message to guest\",\"updated\":\"2021-09-22T09:00:00.000Z\",\"fastTrackCode\":\"12332\",\"emailSent\":true,\"emailReminderTime\":\"2021-09-22T09:00:00.000Z\",\"created\":\"2021-09-22T09:00:00.000Z\",\"cancelled\":\"2021-09-22T09:00:00.000Z\",\"actioned\":false,\"activePassCount\":1,\"company\":{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"name\":\"Sine\"}}",
            "description": "",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "Unique identifier for the Invitation",
                "example": "019fe2b4-f2ee-4a19-873d-ddb4f014dfce",
                "format": "uuid"
              },
              {
                "name": "firstName",
                "kind": "optional",
                "type": "string",
                "description": "Guest first name",
                "example": "James"
              },
              {
                "name": "lastName",
                "kind": "optional",
                "type": "string",
                "description": "Guest last name",
                "example": "Bond"
              },
              {
                "name": "visitorType",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"name\":\"Delivery\"}",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Unique identifier for the visitor type",
                    "example": "019fe2b4-f2ee-4a19-873d-ddb4f014dfce",
                    "format": "uuid"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Visitor type name",
                    "example": "Delivery"
                  }
                ]
              },
              {
                "name": "startDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Invitation start date and time",
                "example": "2021-09-20T11:00:00.000Z",
                "format": "date-time"
              },
              {
                "name": "endDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Invitation end date and time",
                "example": "2021-09-22T09:00:00.000Z",
                "format": "date-time"
              },
              {
                "name": "site",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"name\":\"Sine\",\"address\":\"100 Pirie St, Adelaide SA 5000\",\"latitude\":-34.925,\"longitude\":138.604}",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Unique identifier for a Site",
                    "example": "019fe2b4-f2ee-4a19-873d-ddb4f014dfce",
                    "format": "uuid"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "name of the Site",
                    "example": "Sine"
                  },
                  {
                    "name": "address",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>the address (physical location) of the Site</p>",
                    "example": "100 Pirie St, Adelaide SA 5000"
                  },
                  {
                    "name": "latitude",
                    "kind": "optional",
                    "type": "number<float>",
                    "description": "location coordinates of the Site",
                    "example": -34.925,
                    "format": "float"
                  },
                  {
                    "name": "longitude",
                    "kind": "optional",
                    "type": "number<float>",
                    "description": "location coordinates of the Site",
                    "example": 138.604,
                    "format": "float"
                  }
                ]
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string<email>",
                "description": "Email address of the guest",
                "example": "james.bond@sine.co",
                "format": "email"
              },
              {
                "name": "mobile",
                "kind": "optional",
                "type": "string",
                "description": "Contact mobile phone number of the guest",
                "example": "+61405107480"
              },
              {
                "name": "subject",
                "kind": "optional",
                "type": "string",
                "description": "A subject for the invitation",
                "example": "Invitation Subject"
              },
              {
                "name": "host",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "{\"id\":\"079fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"firstName\":\"Example\",\"lastName\":\"Person\",\"hostGroupName\":\"Staff\",\"email\":\"e.person@example.com\"}",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Unique identifier of the Host",
                    "example": "079fe2b4-f2ee-4a19-873d-ddb4f014dfce",
                    "format": "uuid"
                  },
                  {
                    "name": "firstName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Host first name",
                    "example": "Example"
                  },
                  {
                    "name": "lastName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Host last name",
                    "example": "Person"
                  },
                  {
                    "name": "hostGroupName",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>Group name of the host (if available)</p>",
                    "example": "Staff"
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string",
                    "description": "Host email address",
                    "example": "e.person@example.com"
                  }
                ]
              },
              {
                "name": "adminNotes",
                "kind": "optional",
                "type": "string",
                "description": "An optional note for the Site or Team Admin",
                "example": "A message for admin",
                "maxLength": 1000
              },
              {
                "name": "visitorNotes",
                "kind": "optional",
                "type": "string",
                "description": "An optional note for the guest which will appear on the Invitation",
                "example": "A message to guest",
                "maxLength": 4000
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Invitation updated date",
                "example": "2021-09-22T09:00:00.000Z",
                "format": "date-time"
              },
              {
                "name": "fastTrackCode",
                "kind": "optional",
                "type": "number",
                "description": "<p>True if the site has fast track codes enabled, false otherwise</p>",
                "example": "12332"
              },
              {
                "name": "emailSent",
                "kind": "optional",
                "type": "boolean",
                "description": "True if an email has been sent to the guest",
                "example": true
              },
              {
                "name": "emailReminderTime",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Invitation reminder sent date",
                "example": "2021-09-22T09:00:00.000Z",
                "format": "date-time"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Invitation created date",
                "example": "2021-09-22T09:00:00.000Z",
                "format": "date-time"
              },
              {
                "name": "cancelled",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Invitation cancelled date",
                "example": "2021-09-22T09:00:00.000Z",
                "format": "date-time"
              },
              {
                "name": "actioned",
                "kind": "optional",
                "type": "boolean",
                "description": "Guest has been checked in",
                "example": false
              },
              {
                "name": "activePassCount",
                "kind": "optional",
                "type": "number",
                "description": "number of passes that are active for an invitation id",
                "example": 1
              },
              {
                "name": "company",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "{\"id\":\"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\"name\":\"Sine\"}",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Unique identifier for the company",
                    "format": "uuid"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the company"
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"BAD_REQUEST\",\"message\":\"The request is invalid\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "BAD_REQUEST"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom Error Message",
                "example": "The request is invalid"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"UNAUTHORIZED\",\"message\":\"Invalid authentication credentials\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "UNAUTHORIZED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Invalid authentication credentials"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"FORBIDDEN\",\"message\":\"You are not allowed to access this information\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "FORBIDDEN"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "You are not allowed to access this information"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Resource not found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"SITE_NOT_FOUND\",\"message\":\"SiteNotFoundError\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "SITE_NOT_FOUND"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "SiteNotFoundError"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "424",
        "description": "Service dependency failed",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"CONSUMER_ERROR\",\"message\":\"Unexpected error while communicating with downstream service, please try again\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "CONSUMER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Unexpected error while communicating with downstream service, please try again"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "429",
        "description": "Too many requests",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"RATE_LIMITED\",\"message\":\"API rate limit exceeded\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "RATE_LIMITED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "API rate limit exceeded"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"INTERNAL_SERVER_ERROR\",\"message\":\"Something went wrong, please try again later\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "INTERNAL_SERVER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Something went wrong, please try again later"
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "l3_cE4nvV23LrR7ypshxk",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://openapi.sine.co/v1/api/invitations \\\n     --header 'accept: application/json' \\\n     --header 'x-sine-team-id: string<uuid>'"
        },
        {
          "id": "6t23Bmqeqrn61-ApKfNVn",
          "language": "javascript",
          "label": "JavaScript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-sine-team-id\", \"string<uuid>\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://openapi.sine.co/v1/api/invitations\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "JVM70FzgfVmqP0MOvqQBJ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://openapi.sine.co/v1/api/invitations\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-sine-team-id': 'string<uuid>'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "l3_cE4nvV23LrR7ypshxk"
    },
    "results": {
      "languages": [
        {
          "id": "_jQVbum7-2FQTNNPAC-NT",
          "language": "201",
          "code": "// Created - Invitation created successfully\n{\n  \"id\": \"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\n  \"firstName\": \"James\",\n  \"lastName\": \"Bond\",\n  \"visitorType\": {\n    \"id\": \"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\n    \"name\": \"Delivery\"\n  },\n  \"startDate\": \"2021-09-20T11:00:00.000Z\",\n  \"endDate\": \"2021-09-22T09:00:00.000Z\",\n  \"site\": {\n    \"id\": \"019fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\n    \"name\": \"Sine\",\n    \"address\": \"100 Pirie St, Adelaide SA 5000\",\n    \"latitude\": -34.925,\n    \"longitude\": 138.604\n  },\n  \"email\": \"james.bond@sine.co\",\n  \"mobile\": \"+61405107480\",\n  \"subject\": \"Invitation Subject\",\n  \"host\": {\n    \"id\": \"079fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\n    \"firstName\": \"Example\",\n    \"lastName\": \"Person\",\n    \"hostGroupName\": \"Staff\",\n    \"email\": \"e.person@example.com\"\n  },\n  \"adminNotes\": \"A message for admin\",\n  \"visitorNotes\": \"A message to guest\",\n  \"updated\": \"2021-09-22T09:00:00.000Z\",\n  \"fastTrackCode\": \"12332\",\n  \"emailSent\": true,\n  \"emailReminderTime\": \"2021-09-22T09:00:00.000Z\",\n  \"created\": \"2021-09-22T09:00:00.000Z\",\n  \"cancelled\": \"2021-09-22T09:00:00.000Z\",\n  \"actioned\": false,\n  \"activePassCount\": 1,\n  \"company\": {\n    \"id\": \"\",\n    \"name\": \"\"\n  }\n}"
        },
        {
          "id": "8Gj9Rl4N-eXfPOIxJMgLy",
          "language": "400",
          "code": "// Bad request\n{\n  \"code\": \"BAD_REQUEST\",\n  \"message\": \"The request is invalid\"\n}"
        },
        {
          "id": "WXl9WTJUWcGe-CRR3XVLi",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"code\": \"UNAUTHORIZED\",\n  \"message\": \"Invalid authentication credentials\"\n}"
        },
        {
          "id": "2ZSlyp7rCR386dYjPKiFN",
          "language": "403",
          "code": "// Forbidden\n{\n  \"code\": \"FORBIDDEN\",\n  \"message\": \"You are not allowed to access this information\"\n}"
        },
        {
          "id": "bzr8EdZbEHD_Tn6p1d0TQ",
          "language": "404",
          "code": "// Resource not found\n{\n  \"code\": \"SITE_NOT_FOUND\",\n  \"message\": \"SiteNotFoundError\"\n}"
        },
        {
          "id": "yvt9lFkd3YXcrZOKgLYN4",
          "language": "424",
          "code": "// Service dependency failed\n{\n  \"code\": \"CONSUMER_ERROR\",\n  \"message\": \"Unexpected error while communicating with downstream service, please try again\"\n}"
        },
        {
          "id": "OezKQiVxBQEc2S_NRkJvi",
          "language": "429",
          "code": "// Too many requests\n{\n  \"code\": \"RATE_LIMITED\",\n  \"message\": \"API rate limit exceeded\"\n}"
        },
        {
          "id": "ZCbiMdVvnP0YL10i6C8Ko",
          "language": "500",
          "code": "// Internal server error\n{\n  \"code\": \"INTERNAL_SERVER_ERROR\",\n  \"message\": \"Something went wrong, please try again later\"\n}"
        }
      ],
      "selectedLanguageId": "_jQVbum7-2FQTNNPAC-NT"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}